@echo off
 setlocal

REM Parse %str% to get the switch used
for /f "tokens=2 delims= " %%- in ("%str%") do (
	set Switch=%%-
)
:FUNCTION_[FormatDate]
REM Get the current date on Win/7 machine
for /f "tokens=1,2,3,4 delims=/ " %%a in ("%DATE%") do (
	set WDay=%%a&&set Month=%%b&&set NDay=%%c&&set Year=%%d
)
REM Convert value of month to month name
for /f "tokens=*" %%- in ("%Month%") do (
	if "%%-"=="01" (set MonthName=January
		) else if "%%-"=="02" (set MonthName=February
		) else if "%%-"=="03" (set MonthName=March
		) else if "%%-"=="04" (set MonthName=April
		) else if "%%-"=="05" (set MonthName=May
		) else if "%%-"=="06" (set MonthName=June
		) else if "%%-"=="07" (set MonthName=July
		) else if "%%-"=="08" (set MonthName=August
		) else if "%%-"=="09" (set MonthName=September
		) else if "%%-"=="10" (set MonthName=October
		) else if "%%-"=="11" (set MonthName=November
		) else if "%%-"=="12" (set MonthName=December
	)
)
REM Pass arguments (Available Switches)
if "%Switch%"=="" (echo.%DATE%&& goto :eof
	) else if /i "%Switch%"=="wmn"  (echo.%WDay%%MonthName%%NDay%%Year%
	) else if /i "%Switch%"=="-wmn" (echo.%WDay% %MonthName%-%NDay%-%Year%
	) else if /i "%Switch%"=="/wmn" (echo.%WDay% %MonthName%/%NDay%/%Year%
	) else if /i "%Switch%"=="wmv"  (echo.%WDay%%Month%%NDay%%Year%
	) else if /i "%Switch%"=="-wmv" (echo.%WDay% %Month%-%NDay%-%Year%
	) else if /i "%Switch%"=="/wmn" (echo.%WDay% %Month%/%NDay%/%Year%
	) else if /i "%Switch%"=="mn"   (echo.%MonthName%%NDay%%Year%
	) else if /i "%Switch%"=="-mn"  (echo.%MonthName%-%NDay%-%Year%
	) else if /i "%Switch%"=="/mn"  (echo.%MonthName%/%NDay%/%Year%
	) else if /i "%Switch%"=="mv"   (echo.%Month%%NDay%%Year%
	) else if /i "%Switch%"=="-mv"  (echo.%Month%-%NDay%-%Year%
	) else if /i "%Switch%"=="/mn"  (echo.%Month%/%NDay%/%Year%
)
goto :eof

REM Variables in use
%WDay%      = Sun - Sat
%Month%     = 01 - 12
%MonthName% = January - December
%NDay%      = 01 - 28,30,31
%Year%      = Current Year