@echo off
 setlocal

:FUNCTION_[IncludeFiles]
REM Check to see if any system files have already been created
REM This keeps the script from over writing itself each time it is ran
if exist "%Script%_VARIABLES.ini" goto :eof
if exist "%Script%_FUNCTIONS.ini" goto :eof

REM Create the system include files
for /f "tokens=1,2 skip=%val% delims==" %%a in (%Script%) do (
	if /i "%%a"=="}"                  (goto :FUNCTION_[CreateSystemFiles]
	) else if /i "%%a"=="ProjectName" (set ProjectName=%%b&&set /a val=%val%+1
	) else if /i "%%a"=="VariableIni" (set VariableINI=%%b&&set /a val=%val%+1
	) else if /i "%%a"=="Functions"   (set IncFunction=%%b&&set token=0&&echo.[%Script%_Functions]>>%Script%_FUNCTIONS.ini&&call :FUNCTION_[GetFunctionNames]
))
goto :eof

		:FUNCTION_[GetFunctionNames]
		set /a token=%token%+1
		for /f "tokens=%token% delims=/" %%a in ("%IncFunction%") do (
			if /i "%%a"=="#END#" (goto :eof
			) else echo.%%a>>%Script%_FUNCTIONS.ini
		)
		goto :FUNCTION_[GetFunctionNames]
		
		:FUNCTION_[CreateSystemFiles]
		echo.[%ProjectName%_Variables]>>%Script%_VARIABLES.ini
		goto :eof